Upgrading CMS 2.3.8 to CMS v3.0.0 rc1

Hi I am trying to upgrade to v3.0.0 rc1 on windows 2016 and getting the below error any idea

i rename the existing xibo folder to xibo.old , add the new version under xibo folder , import the url write rules , give required IIS users permission on folder , run http:\localhost and getting the below

Slim Application Error

The application could not run because of the following error:

Details

Type: Error

Code: 0

Message: Call to a member function getContainer() on string

File: C:\xibo\lib\Middleware\Theme.php

Line: 66

Trace

#0 C:\xibo\vendor\slim\slim\Slim\MiddlewareDispatcher.php(147): Xibo\Middleware\Theme->process(Object(Slim\Http\ServerRequest), Object(Slim\Routing\RouteRunner)) #1 C:\xibo\vendor\slim\twig-view\src\TwigMiddleware.php(125): class@anonymous->handle(Object(Slim\Http\ServerRequest)) #2 C:\xibo\vendor\slim\slim\Slim\MiddlewareDispatcher.php(147): Slim\Views\TwigMiddleware->process(Object(Slim\Http\ServerRequest), Object(class@anonymous)) #3 C:\xibo\vendor\slim\slim\Slim\Middleware\RoutingMiddleware.php(59): class@anonymous->handle(Object(Slim\Http\ServerRequest)) #4 C:\xibo\vendor\slim\slim\Slim\MiddlewareDispatcher.php(147): Slim\Middleware\RoutingMiddleware->process(Object(Slim\Http\ServerRequest), Object(class@anonymous)) #5 C:\xibo\vendor\slim\slim\Slim\Middleware\ErrorMiddleware.php(107): class@anonymous->handle(Object(Slim\Http\ServerRequest)) #6 C:\xibo\vendor\slim\slim\Slim\MiddlewareDispatcher.php(147): Slim\Middleware\ErrorMiddleware->process(Object(Slim\Http\ServerRequest), Object(class@anonymous)) #7 C:\xibo\vendor\slim\slim\Slim\MiddlewareDispatcher.php(81): class@anonymous->handle(Object(Slim\Http\ServerRequest)) #8 C:\xibo\vendor\slim\slim\Slim\App.php(215): Slim\MiddlewareDispatcher->handle(Object(Slim\Http\ServerRequest)) #9 C:\xibo\vendor\slim\slim\Slim\App.php(199): Slim\App->handle(Object(Slim\Http\ServerRequest)) #10 C:\xibo\web\install\index.php(95): Slim\App->run() #11 {main}

Have you been able to solve this? I am running at the exact same problem with a non-docker installation.

Same here, did not find any solution yet …

try the proposed solution in the below thread

It did not make any difference. Still the same issue.
Also, the error is different from the post 30.0.-rc1 Released and i’m trying a fresh installation, not a migration. Anyway, thanks for trying to help.

The Xibo Community site uses cookies. What are cookies?